com.google.gwt.event.dom.client

## Class LoseCaptureEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.google.gwt.event.dom.client.DomEvent<LoseCaptureHandler>
      - - com.google.gwt.event.dom.client.LoseCaptureEvent

All Implemented Interfaces:
  HasNativeEvent

    public class LoseCaptureEvent
    extends DomEvent<LoseCaptureHandler>

Represents a native lose capture event.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent

`DomEvent.Type<H extends EventHandler>`

### Constructor Summary

Constructors
`protected` `LoseCaptureEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire lose capture events.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `dispatch(LoseCaptureHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<LoseCaptureHandler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static DomEvent.Type<LoseCaptureHandler>` `getType()` Gets the event type associated with lose capture events.

### Methods inherited from class com.google.gwt.event.dom.client.DomEvent

`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toDebugString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoseCaptureEvent

    protected LoseCaptureEvent()

Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire lose capture events.

### Method Detail

#### getType

    public static DomEvent.Type<LoseCaptureHandler> getType()

Gets the event type associated with lose capture events.

Returns:
  the handler type

#### getAssociatedType

    public final DomEvent.Type<LoseCaptureHandler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `DomEvent<LoseCaptureHandler>`
Returns:
  the type

#### dispatch

    protected void dispatch(LoseCaptureHandler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<LoseCaptureHandler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`